%define prerel 0
%define date 20160519
%define qtmajor 5
%define qtminor 6
%define qtsubminor 2

%define pre 0
%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}


%define libqtdeclarative %mklibname qt5declarative %qtmajor
%define libqtdeclarative_d %mklibname qt5declarative -d
%define libqtdeclarative_p_d %mklibname qt5declarative-private -d

%if %prerel
%define qttarballdir qtquick1-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtquick1-opensource-src-%{qtversion}
%endif

Name: qtquick5
Version: %{qtversion}
Release: %mkrel -c %{date} %{rel}
Summary: Qt Quick component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# git clone git@github.com:qt/qtquick1.git && cd qtquick1
# git archive --prefix=qtquick1-opensource-src-5.6.2/ origin/5.6.2 | tar -x -C ..
# cd ../qtquick1-opensource-src-5.6.2 && syncqt.pl -version 5.6.2 && cd ..
# tar cfJ qtquick1-opensource-src-5.6.2.tar.xz qtquick1-opensource-src-5.6.2/
# from: https://github.com/qt/qtquick1/commit/212653fea189ad1f5203fe2b5c12caba6f13c72a
Source0:       %{qttarballdir}.tar.xz
#Source0: http://download.qt.io/official_releases/qt/%%{qtmajor}.%%{qtminor}/%%{version}/submodules/%%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %{version}
BuildRequires: qtscript5-devel >= %{version}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 Quick component.

#------------------------------------------------------------------------------

%package qmlviewer
Summary: Qt%{qtmajor} Qmlviewer Utility
Group: Development/KDE and Qt

%description qmlviewer
Qt%{qtmajor} Qmlviewer Utility.

This a tool for loading QML documents that makes it easy to quickly
develop and debug QML applications.

%files qmlviewer
%{_qt5_bindir}/qmlviewer
%{_qt5_bindir}/qml1plugindump
%{_qt5_importdir}/*
%{_qt5_plugindir}/qml1tooling/libqmldbg_inspector.so
%{_qt5_plugindir}/qml1tooling/libqmldbg_tcp_qtdeclarative.so

#------------------------------------------------------------------------------
%package -n %{libqtdeclarative}
Summary: Qt%{qtmajor} Lib
Group: System/Libraries

%description -n %{libqtdeclarative}
Qt%{qtmajor} Lib.

%files -n %{libqtdeclarative}
%{_qt5_libdir}/libQt5Declarative.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtdeclarative_d}
Summary: Devel files needed to build apps based on QtQuick
Group:    Development/KDE and Qt
Requires: %{libqtdeclarative} = %version
Requires: qtbase5-common-devel = %version
Requires: qtquick5-qmlviewer = %version
Provides: libqtdeclarative-devel = %version
Provides: libqtdeclarative5-devel = %version
Provides: libqt5declarative-devel = %version
Provides: qtdeclarative-devel = %version
Provides: qt5declarative-devel = %version

%description -n %{libqtdeclarative_d}
Devel files needed to build apps based on QtQuick.

%files -n %{libqtdeclarative_d}
%{_qt5_libdir}/libQt5Declarative.prl
%{_qt5_libdir}/libQt5Declarative.so
%{_qt5_libdir}/pkgconfig/Qt5Declarative.pc
%{_qt5_includedir}/QtDeclarative
%exclude %{_qt5_includedir}/QtDeclarative/%qtversion
%dir %{_qt5_libdir}/cmake/Qt5Declarative
%{_qt5_libdir}/cmake/Qt5Declarative/Qt5DeclarativeConfig.cmake
%{_qt5_libdir}/cmake/Qt5Declarative/Qt5DeclarativeConfigVersion.cmake
%{_qt5_libdir}/cmake/Qt5Declarative/Qt5Declarative_QTcpServerConnection.cmake
%{_qt5_libdir}/cmake/Qt5Declarative/Qt5Declarative_QtQuick1Plugin.cmake
%{_qt5_datadir}/mkspecs/modules/qt_lib_declarative.pri
%{_qt5_examplesdir}/declarative

#------------------------------------------------------------------------------

%package -n %{libqtdeclarative_p_d}
Summary: Devel files needed to build apps based on QtQuick
Group:    Development/KDE and Qt

Requires: %{libqtdeclarative_d} = %version

Provides: libqtdeclarative-private-devel = %version
Provides: libqtdeclarative5-private-devel = %version
Provides: libqt5declarative-private-devel = %version
Provides: qtdeclarative-private-devel = %version
Provides: qt5declarative-private-devel = %version

Requires: qt5core-private-devel = %version
Requires: qt5script-private-devel = %version

%description -n %{libqtdeclarative_p_d}
Devel files needed to build apps based on QtQuick.

%files -n %{libqtdeclarative_p_d}
%{_qt5_includedir}/QtDeclarative/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_declarative_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5

%make_build

%install
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Fri Nov 04 2016 daviddavid <daviddavid> 5.6.2-0.20160519.1.mga6
+ Revision: 1065270
- New version 5.6.2 (using a git snapshot from 5.6.2 branch)

* Mon Jul 04 2016 daviddavid <daviddavid> 5.6.1-0.20160428.1.mga6
+ Revision: 1038666
- new version: 5.6.1 (using a git snapshot from 5.6.1 branch)

* Thu Jan 07 2016 neoclust <neoclust> 5.6.0-2.mga6
+ Revision: 920287
- New version 5.6.0beta
- Add back on cauldron, this is still needed by some packages
- qtquick5 is no more in qt 5.6.0

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900346
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894515
- New version 5.5.1

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853383
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;
- Delete old sources;

* Mon Jun 22 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 839579
- New version 5.5 rc

* Wed Jan 28 2015 neoclust <neoclust> 5.4.0-2.mga5
+ Revision: 812582
- Fix Require on qtquick5-qmlviewer in the devel package

* Fri Dec 12 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802795
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801810
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 746504
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 738094
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639784
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624067
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621438
- update file list
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612318
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha1.1.mga5
+ Revision: 598813
- New version 5.3.0-alpha

* Sun Feb 09 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 586987
- hard force versioned requires

* Thu Feb 06 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 584230
- 5.2.1

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556716
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554424
- update file list
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547098
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538927
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 491111
- update file list
- 5.2.0 alpha1

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428822
- Rebuild against new qt5 libs location

* Sun May 26 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 427710
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410397
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393983
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392359
- New version 5.0.1 rc1

  + fwang <fwang>
    - use xz

* Fri Jan 25 2013 fwang <fwang> 5.0.0-2.mga3
+ Revision: 392214
- update file list
- update file list

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + neoclust <neoclust>
    - Qt 5.0.0 Final
    - New rc1 daily snapshot

* Mon Nov 19 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319580
- imported package qtquick5

